com.fasterxml.jackson.databind.deser.std

## Class FromStringDeserializer<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<T>

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CoreXMLDeserializers.DurationDeserializer, CoreXMLDeserializers.QNameDeserializer, DateDeserializers.TimeZoneDeserializer, DOMDeserializer, JdkDeserializers.CharsetDeserializer, JdkDeserializers.CurrencyDeserializer, JdkDeserializers.FileDeserializer, JdkDeserializers.InetAddressDeserializer, JdkDeserializers.LocaleDeserializer, JdkDeserializers.PatternDeserializer, JdkDeserializers.URIDeserializer, JdkDeserializers.URLDeserializer, JdkDeserializers.UUIDDeserializer

      public abstract class FromStringDeserializer<T>
      extends StdScalarDeserializer<T>

  Base class for simple deserializers that only accept JSON String values as the source.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FromStringDeserializer(Class<?> vc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract T` | `_deserialize(String value, DeserializationContext ctxt)`
    `protected T` | `_deserializeEmbedded(Object ob, DeserializationContext ctxt)`
    `T` | `deserialize(JsonParser jp, DeserializationContext ctxt)` Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles.

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

      `deserializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FromStringDeserializer

          protected FromStringDeserializer(Class<?> vc)

  - ### Method Detail

    - #### deserialize

          public final T deserialize(JsonParser jp,
                      DeserializationContext ctxt)
                              throws IOException,
                                     JsonProcessingException

      Description copied from class: `JsonDeserializer`
      Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles. Returned instance is to be constructed by method itself.

      Pre-condition for this method is that the parser points to the first event that is part of value to deserializer (and which is never JSON 'null' literal, more on this below): for simple types it may be the only value; and for structured types the Object start marker. Post-condition is that the parser will point to the last event that is part of deserialized value (or in case deserialization fails, event that was not recognized or usable, which may be the same event as the one it pointed to upon call).

      Note that this method is never called for JSON null literal, and thus deserializers need (and should) not check for it.

      Specified by:
        `deserialize` in class `JsonDeserializer<T>`
      Parameters:
        `jp` - Parsed used for reading JSON content
        `ctxt` - Context that can be used to access information about this deserialization activity.
      Returns:
        Deserializer value
      Throws:
        `IOException`
        `JsonProcessingException`

    - #### _deserialize

          protected abstract T _deserialize(String value,
                       DeserializationContext ctxt)
                                     throws IOException,
                                            JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

    - #### _deserializeEmbedded

          protected T _deserializeEmbedded(Object ob,
                               DeserializationContext ctxt)
                                    throws IOException,
                                           JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

Copyright © 2012-2013 FasterXML. All Rights Reserved.